# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.7.1 - 2021-09-07

### Changed

 - Update vivante-vglite-api dependency version to 1.7.1.

## 1.7.0 - 2021-09-02

### Changed

- Update major version digit.

### Added

 - Add vg_lite_copy method to initialize a matrix from an other matrix parameters.


## 0.6.0 - 2021-03-02

### Fixed

 - Add missing constant definitions.

### Added

 - Add constants that describe the path commands.

## 0.5.0 - 2020-12-10

### Changed

 - New matrix is an identity matrix.
 
### Fixed

 - Use the path length, not the path's bytes array length. 

## 0.4.0 - 2020-10-12

### Changed

 - APIs taking path offset as input now also take path length

### Added

 - Getter for path length
 - path update interfaces to avoid creating instances when unecessary

## 0.3.0 - Unreleased

### Added

 - Supports for vg_lite_draw_grad (gradients in a vector path)
 - Supports offset for path data

## 0.1.0 - Unreleased

### Added

- First version of the library
- Supports for vg_lite_draw_path (vector path with a single color)

---  
_Copyright 2020-2021 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  

