/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.service;

/**
 * The {@link HeartRateService} natives implementation.
 */
public class HeartRateServiceNative {

	/**
	 * Returns the current heart rate to the application.
	 *
	 * @return the current heart rate
	 */
	public static int getHeartRate() {
		return HeartRateService.INSTANCE.getHeartRate();
	}
}
