/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.cssgenerator.selector;

import org.w3c.css.sac.Condition;

import com.steadystate.css.parser.selectors.OneOfAttributeConditionImpl;

/**
 *
 */
public class AttributeValueListSelector extends AbstractAttributeSelector {

	@Override
	public boolean matches(Condition condition) {
		return condition instanceof OneOfAttributeConditionImpl;
	}

	@Override
	public String getClassName() {
		return "ej.style.selector.AttributeValueListSelector";
	}

	@Override
	protected String getSelectorVariablePrefix() {
		return "attrValueList";
	}

}
