/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.xml.parser.exception;

/**
 * Thrown to indicate an error occurred during XML parsing.
 */
public class XMLParserException extends Exception {

	private static final long serialVersionUID = 5445860636826662691L;

	/**
	 * Constructs a new exception with the specified detail message.
	 *
	 * @param message
	 *            the detail message.
	 */
	public XMLParserException(String message) {
		super(message);
	}

	/**
	 * Constructs a new exception with the specified detail message and the given cause.
	 *
	 * @param message
	 *            the detail message.
	 * @param cause
	 *            the cause of the exception.
	 */
	public XMLParserException(String message, Throwable cause) {
		super(message, cause);
	}

}
