/**
 * Java
 *
 * Copyright 2011 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.icetea.nodes;

import com.is2t.icetea.IceteaSourceGenerator;
import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

public class DirectWriteAccessToMemory extends Expression {
	
	public Expression memoryChunk;
    public Expression address;
    public Expression value;
    
    public TypeReference valueType;
 
    public boolean isVolatile;
    
    public DirectWriteAccessToMemory(Expression memoryChunk, Expression address, Expression value, TypeReference valueType, boolean isVolatile){
        this.memoryChunk = memoryChunk;
        this.address = address;
        this.value = value;
        this.valueType = valueType;       
        this.isVolatile = isVolatile;
    }

    public void generateExpressionUsing(JavaSourceGenerator gen){
    	((IceteaSourceGenerator)gen).generateDirectWriteAccessToMemory(this);
    }
}
