package com.is2t.java.nodes;

public abstract class AbstractVariableDeclaration extends Statement{

	public Modifiers modifiers;	// never null
	public TypeReference type;	// variable type  : can be a pre-existing type
	public char[] name;			// local name
	
	public Expression initExp;	// null if no init expression
	
	public AbstractVariableDeclaration(Modifiers modifiers, TypeReference type, char[] name){
		this.modifiers = modifiers;
		this.type = type;
		this.name = name;
	}
	
	public AbstractVariableDeclaration(Modifiers modifiers, TypeReference type, char[] name, Expression initExp){
		this(modifiers, type, name);
		this.initExp = initExp;
	}

}
