/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

/**
 *
 */
public class Nvg_lite {
	public native static int vg_lite_draw_path(byte[] gc, float path_left, float path_top, float path_right,
			float path_bottom, byte[] path, int path_offset, int path_length, int path_quality, int path_format,
			int fill_rule, int matrix_handle, int blend, int color);

	public native static int vg_lite_draw_gradient(byte[] gc, float path_left, float path_top, float path_right,
			float path_bottom, byte[] path, int path_offset, int path_length, int path_quality, int path_format,
			int fill_rule, int matrix_handle, int gradient_handle, int blend);

	public native static int vg_lite_init_grad(int handle);

	public native static int vg_lite_set_grad(int handle, int count, int[] colors, int[] stops);

	public native static int vg_lite_update_grad(int handle);
}
