/*
 * C
 *
 * Copyright 2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

#ifndef _LLFEATURE_INPUTSTREAM_H
#define _LLFEATURE_INPUTSTREAM_H

// -----------------------------------------------------------------------------
// Macros and defines
// -----------------------------------------------------------------------------

/*
 * @brief Feature file header (ELF signature on 32 bits).
 */
#define FEATURE_SIGNATURE_VALUE 0x464c457f

/*
 * @brief Feature file header size.
 */
#define FEATURE_SIGNATURE_SIZE 4

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

#endif //_LLFEATURE_INPUTSTREAM_H
