/*
 * C
 *
 * Copyright 2017-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

#ifndef __ETHERNETIF_H__
#define __ETHERNETIF_H__

#include "lwip/err.h"
#include "lwip/netif.h"

err_t sta_ethernetif_init(struct netif *netif);
err_t ap_ethernetif_init(struct netif *netif);

/*Use to set the link up and set up the netif*/
void set_link_up (uint8_t);

/*Use to set the link down and set down the netif*/
void set_link_down (uint8_t);

#endif
