package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class Block extends Statement {
	
	public Statement[] statements;	//never null
	
	public Block( Statement[] statements) {
		this.statements =statements;
	}
	
	public Block() {
		//empty block
		this.statements = new Statement[0];
	}

	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateBlock( this);
		
	}

}
