package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

public class CastExpression extends Expression {
	
	public TypeReference toType;		//never null
	public Expression expression;		//never null

	public CastExpression (Expression expression, TypeReference toType) {
		this.expression = expression;
		this.toType = toType;
	}
	
	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateCastExpression( this);
		
	}

}
