/*
 * Java
 * 
 * Copyright 2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map;

import java.util.EventListener;

import com.is2t.linker.map.event.MapFileInterpretorEvent;

public interface IMapFileInterpretorListener2 extends EventListener {

	/**
	 * <p>
	 * Indicates that the given interpretor status has change. The change is described by the given event.
	 * </p>
	 * 
	 * @param event the event describing the change kind, the event source is an instance of {@link IMapFileInterpretor2}
	 */
	void updateStatus(MapFileInterpretorEvent event);

}
