/*
 * Java
 *
 * Copyright 2016-2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.ecom.network.natives;

/**
 * Interface that lists all Interface Manager constants returned by the native part.
 */
public interface InterfaceManagerImplNativesConstants {

	/**
	 * Network Interface not enabled state value
	 */
	public static final int IF_STATE_NOT_ENABLED = 0;
	/**
	 * Network Interface enabled state value
	 */
	public static final int IF_STATE_ENABLED = 1;
	/**
	 * Network Interface not started state value
	 */
	public static final int IF_STATE_NOT_STARTED = 2;
	/**
	 * Network Interface started state value
	 */
	public static final int IF_STATE_STARTED = 3;

	/**
	 * Network Interface not static DNS configuration value
	 */
	public static final int IF_DNS_NOT_STATIC = 0;
	/**
	 * Network Interface static DNS configuration value
	 */
	public static final int IF_DNS_STATIC = 1;
	/**
	 * Network Interface static IP configuration value
	 */
	public static final int IF_IP_STATIC = 0;
	/**
	 * Network Interface dynamic IP configuration value
	 */
	public static final int IF_IP_DYNAMIC = 1;

}
